# 基础镜像
FROM nginx
# author
MAINTAINER vctgo

# 设置时区
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime && echo 'Asia/Shanghai' > /etc/timezone

# 挂载平台端目录
VOLUME /home/vctgo/projects/platform
# 挂载幼儿园端目录
VOLUME /home/vctgo/projects/kindergarten
# 创建平台端目录
RUN mkdir -p /home/vctgo/projects/platform
# 创建幼儿园端目录
RUN mkdir -p /home/vctgo/projects/kindergarten
# 指定路径
WORKDIR /home/vctgo/projects/platform
# 复制conf文件到路径
COPY ./conf/nginx.conf /etc/nginx/nginx.conf
# 复制平台端文件到路径
COPY ./html/platform /home/vctgo/projects/platform
# 复制幼儿园端文件到路径
COPY ./html/kindergarten /home/vctgo/projects/kindergarten
